%% new_Grid
%
% inputs:
%   object:Cell - Current Cell Object
% outputs;
% Author: Colin Eles elesc@mcmaster.ca
% Organization: McMaster Centre for Software Certification
function [] = new_Grid(object)
object.subgrid = Grid(object.cell_index,object);
object.subgrid.new_Cell;
object.subgrid.new_Cell;
object.subgrid.set_rGrid(object.parent_grid.rGrid);
object.pb_flag = 0;
delete(object.grid_pb);
if(~isempty(object.parent_grid.rGrid))
    object.parent_grid.rGrid.delete_g2s(object);
end
end

